/**
 * All rights Reserved, Designed By www.freemud.cn
 *
 * @Title: AssortOrderLogUtil
 * @Package com.freemud.sdk.api.assortment.order.util
 * @Description:
 * @author: 布丁
 * @date: 2021/7/3 12:01
 * @version V1.0
 * @Copyright: 2018 www.freemud.cn Inc. All rights reserved.
 * 注意：本内容仅限于上海非码科技内部传阅，禁止外泄以及用于其他的商业目
 */
package com.freemud.sdk.api.assortment.order.util;


import com.alibaba.fastjson.JSON;
import com.freemud.application.sdk.api.log.ApiLog;

public class AssortOrderLogUtil {


    public static void info(String message) {
        info(message,  null);
    }
    public static void info(String message, Object param1) {
        info(message, param1, null);
    }

    public static void info(String message, Object param1, Object param2) {
        info(message, param1, param2, null);
    }

    public static void info(String message, Object param1, Object param2, Object param3) {
        String p1 = "", p2 = "", p3 = "";
        if (param1 != null) {
            p1 = param1 instanceof String ? (String) param1 : JSON.toJSONString(param1);
        }
        if (param2 != null) {
            p2 = param2 instanceof String ? (String) param2 : JSON.toJSONString(param2);
        }
        if (param3 != null) {
            p3 = param3 instanceof String ? (String) param3 : JSON.toJSONString(param3);
        }

        ApiLog.printLog(message, p1, p2, p3);
    }
}
